The ifIndex of this port. This index is same as that of ifIndex variable in the ifTable of MIB-II. The value of this variable will range from 1 to <ifNumber>.
Sources for this description
Belden, GarrettCom and Hirschmann IT official standalone MIBs
OID reference
1.3.6.1.4.1.553.12.6.3.2.1.3
The ifIndex of this port. This index is same as that of ifIndex variable in the ifTable of MIB-II. The value of this variable will range from 1 to <ifNumber>.
Identification
{1 3 6 1 4 1 553 12 6 3 2 1 3}
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In GARRETTCOM-MIB, the row index consists of these components in order:
ptSlotIndex (INTEGER): one numeric subidentifier for the non-negative value.ptPortIndex (INTEGER): one numeric subidentifier for the non-negative value.An instance has the form .1.3.6.1.4.1.553.12.6.3.2.1.3.<ptSlotIndex>.<ptPortIndex>. Use values present on the device and permitted by its MIB. Other definitions can differ.
Published row index: ptSlotIndex, ptPortIndex.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.553.12.6.3.2.1.3
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
ptIfIndex OBJECT-TYPE
SYNTAX INTEGER
ACCESS read-only
STATUS mandatory
DESCRIPTION
"The ifIndex of this port. This index is same as that
of ifIndex variable in the ifTable of MIB-II.
The value of this variable will range from 1 to <ifNumber>."
::= { portEntry 3 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
The ifIndex of this port. This index is same as that of ifIndex variable in the ifTable of MIB-II. The value of this variable will range from 1 to <ifNumber>.
Belden, GarrettCom and Hirschmann IT official standalone MIBs
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: ptIfIndex
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"ptIfIndex",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The ifIndex of this port. This index is same as that of ifIndex variable in the ifTable of MIB-II. The value of this variable will range from 1 to <ifNumber>.\"",
"::=",
"{",
"portEntry",
"3",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER"
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The ifIndex of this port. This index is same as that of ifIndex variable in the ifTable of MIB-II. The value of this variable will range from 1 to <ifNumber>."
],
null,
null,
null,
null
]
}Module: GARRETTCOM-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Same file in 069Qp00000ju93VIAQ.
Same file in 069Qp00000ju8vRIAQ.
Module: GARRETTCOM-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Module: GARRETTCOM-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.553.12.6.3.2.1.1 | ptSlotIndex | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.3.2.1.2 | ptPortIndex | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.3.2.1.4 | ptPortName | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.3.2.1.5 | ptPortControlStatus | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.3.2.1.6 | ptPortStatus | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.3.2.1.7 | ptPortDuplexStatus | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.3.2.1.8 | ptPortMediaType | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.3.2.1.9 | ptPortLinkStatus | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.3.2.1.10 | ptPortSpeed | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.3.2.1.11 | ptPortPartitionState | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.3.2.1.12 | ptPortTraffic | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.3.2.1.13 | ptPortAutoNegotiation | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.3.2.1.14 | ptPortNotify | 0 | 0 |